Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-Linux.de>

Name:		libbonobo
Version:	2.24.3
Release:	1
BuildArch:	i686
Summary:	Bonobo component system
License:	GNU/GPL
Group: 		Graphical Desktop/GNOME
URL: 		http://ftp.gnome.org
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires: perl
BuildRequires: flex popt-devel

#Automatically resolved build dependencies
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libxml2-devel
BuildRequires: ORBit2-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
Bonobo is a component system based on CORBA, used by the GNOME desktop.

%package	devel
Summary: 	Libraries and headers for libbonobo
Group: 		Development/Libraries
Requires:	%name = %{version}
Requires:  	ORBit2-devel
Requires:  	libxml2-devel
Requires: 	pkg-config

%description	devel
Bonobo is a component system based on CORBA, used by the GNOME desktop.

This package contains header files used to compile programs that 
use Bonobo.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
%configure --disable-gtk-doc

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

## just kill this wherever it lives
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo-2.0/samples/bonobo-echo-2
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/bonobo-2.0/samples/bonobo-echo-2

## kill other stuff
rm $RPM_BUILD_ROOT%{_bindir}/echo-client-2
rm $RPM_BUILD_ROOT%{_libdir}/*.a
rm $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.*a
rm $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/*.*a
rm $RPM_BUILD_ROOT%{_bindir}/bonobo-slay

# noarch packages install to /usr/lib/bonobo/servers
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/bonobo/servers

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README doc/NAMESPACE
%{_sysconfdir}/bonobo-activation/bonobo-activation-config.xml
%{_bindir}/activation-client
%{_bindir}/bonobo-activation-run-query
%{_libdir}/bonobo/monikers/libmoniker_std_2.so
%{_libdir}/bonobo/servers
%{_libdir}exec/bonobo-activation-server
%{_libdir}/libbonobo-2.so.*
%{_libdir}/libbonobo-activation.so.*
%{_libdir}/orbit-2.0/Bonobo_module.so
%{_sbindir}/bonobo-activation-sysconf
%{_locale}/*/LC_MESSAGES/libbonobo-2.0.mo
%{_mandir}/man1/bonobo-activation-server.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/bonobo-activation-2.0
%{_includedir}/libbonobo-2.0
%{_libdir}/libbonobo-2.la
%{_libdir}/libbonobo-2.so
%{_libdir}/libbonobo-activation.la
%{_libdir}/libbonobo-activation.so
%{_pkgconfig}/bonobo-activation-2.0.pc
%{_pkgconfig}/libbonobo-2.0.pc
%{_datadir}/gtk-doc/html/bonobo-activation
%{_datadir}/gtk-doc/html/libbonobo
%{_datadir}/idl/bonobo-2.0
%{_datadir}/idl/bonobo-activation-2.0

%changelog
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.24.3-1
- Version update
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-2
- readd libtool archives
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- Version update
* Mon Mar 23 2009 Christian Wasem <wasem@ccux-linux.de> 2.24.1-1
- Version update
* Fri Jan 09 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.0-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Mon Mar 18 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-2
- rebuild
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-1
- Version Update
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-2
- added BuildRequires
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Version Update
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.1-1
- Update to Version 2.13.1
* Tue Nov 22 2005 Christian Wasem <wasem@ccux-linux.de> 2.13.0-1
- Update to Version 2.13.0
* Sun Oct 30 2005 Christian Wasem <wasem@ccux-linux.de> 2.10.1-1
- Update to Version 2.10.1, added more files to devel
* Fri Apr 29 2005 Christian Metzen <metzench@ccux-linux.de> - 2.8.1-2
- Tweaked Spec File to a more CCux Package DB friendly Way
* Sun Apr 17 2005 Uli Schukraft <Schukraft@CCux-Linux.de> - 2.8.1-1
- Version Update to 2.8.1
- added options to ./configure-call, changed group, changed summary
- added and precised dependencies
- linked contents of folder /opt/gnome/lib/libglade/2.0 to /usr/lib, otherwise some apps refuse to find %{name}
- tweaked spec-file
* Sun Mar 20 2005 Christian Metzen <metzench@ccux-linux.de> - 2.8.0-2
- Tweaked Specfile, Moves sysconfdir to better Location, moved libexedir
* Wed Feb 23 2005 Uli Schukraft <Schukraft@ccux-linux.de> - 2.8.0-1
- First package release
